%define peardir /usr/share/pear
%define xmldir  /var/lib/pear

Summary: PEAR: Horde Core Framework libraries
Name: Horde_Core
Version: 2.31.16
Release: 1%{?dist}
License: LGPL-2.1
Group: Development/Libraries
Source0: http://pear.horde.org/get/Horde_Core-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.horde.org/package/Horde_Core
BuildRequires:       php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(pear.horde.org)
Requires: Horde_Role >= 1.0.0
Requires: Horde_Alarm >= 2.0.0
Requires: Horde_Alarm < 3.0.0alpha1
Requires: Horde_Auth >= 2.0.0
Requires: Horde_Auth < 3.0.0alpha1
Requires: Horde_Autoloader >= 2.0.0
Requires: Horde_Autoloader < 3.0.0alpha1
Requires: Horde_Browser >= 2.0.0
Requires: Horde_Browser < 3.0.0alpha1
Requires: Horde_Cache >= 2.0.0
Requires: Horde_Cache < 3.0.0alpha1
Requires: Horde_Cli >= 2.0.0
Requires: Horde_Cli < 3.0.0alpha1
Requires: Horde_Compress >= 2.0.0
Requires: Horde_Compress < 3.0.0alpha1
Requires: Horde_Compress_Fast >= 1.0.0
Requires: Horde_Compress_Fast < 2.0.0alpha1
Requires: Horde_Controller >= 2.0.0
Requires: Horde_Controller < 3.0.0alpha1
Requires: Horde_CssMinify >= 1.0.0
Requires: Horde_CssMinify < 2.0.0alpha1
Requires: Horde_Data >= 2.0.0
Requires: Horde_Data < 3.0.0alpha1
Requires: Horde_Date >= 2.0.0
Requires: Horde_Date < 3.0.0alpha1
Requires: Horde_Exception >= 2.0.0
Requires: Horde_Exception < 3.0.0alpha1
Requires: Horde_Group >= 2.0.0
Requires: Horde_Group < 3.0.0alpha1
Requires: Horde_History >= 2.0.0
Requires: Horde_History < 3.0.0alpha1
Requires: Horde_Injector >= 2.0.0
Requires: Horde_Injector < 3.0.0alpha1
Requires: Horde_JavascriptMinify >= 1.0.0
Requires: Horde_JavascriptMinify < 2.0.0alpha1
Requires: Horde_Lock >= 2.0.0
Requires: Horde_Lock < 3.0.0alpha1
Requires: Horde_Log >= 2.0.0
Requires: Horde_Log < 3.0.0alpha1
Requires: Horde_LoginTasks >= 2.0.0
Requires: Horde_LoginTasks < 3.0.0alpha1
Requires: Horde_Mime >= 2.0.0
Requires: Horde_Mime < 3.0.0alpha1
Requires: Horde_Mime_Viewer >= 2.0.0
Requires: Horde_Mime_Viewer < 3.0.0alpha1
Requires: Horde_Notification >= 2.0.0
Requires: Horde_Notification < 3.0.0alpha1
Requires: Horde_Perms >= 2.0.0
Requires: Horde_Perms < 3.0.0alpha1
Requires: Horde_Prefs >= 2.0.0
Requires: Horde_Prefs < 3.0.0alpha1
Requires: Horde_Secret >= 2.0.0
Requires: Horde_Secret < 3.0.0alpha1
Requires: Horde_Serialize >= 2.0.0
Requires: Horde_Serialize < 3.0.0alpha1
Requires: Horde_SessionHandler >= 2.0.0
Requires: Horde_SessionHandler < 3.0.0alpha1
Requires: Horde_Share >= 2.0.0
Requires: Horde_Share < 3.0.0alpha1
Requires: Horde_Support >= 2.0.0
Requires: Horde_Support < 3.0.0alpha1
Requires: Horde_Template >= 2.0.0
Requires: Horde_Template < 3.0.0alpha1
Requires: Horde_Token >= 2.0.0
Requires: Horde_Token < 3.0.0alpha1
Requires: Horde_Text_Filter >= 2.0.0
Requires: Horde_Text_Filter < 3.0.0alpha1
Requires: Horde_Translation >= 2.0.0
Requires: Horde_Translation < 3.0.0alpha1
Requires: Horde_Url >= 2.1.0
Requires: Horde_Url < 3.0.0alpha1
Requires: Horde_Util >= 2.0.0
Requires: Horde_Util < 3.0.0alpha1
Requires: Horde_View >= 2.0.0
Requires: Horde_View < 3.0.0alpha1
Requires: php-pear(PEAR) >= 1.7.0
Requires: php-channel(pear.horde.org)
BuildArch: noarch

Provides:       %{name} = %{version}

%description
These classes provide the core functionality of the Horde Application
Framework.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=%{pear_docdir} \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{pear_hordedir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock

#mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Core.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Core.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Core >/dev/null || :
fi

%files
%defattr(-,root,root)
%doc %{pear_hordedir}
#%doc docs/Horde_Core/*
%{peardir}/*
%{xmldir}/Horde_Core.xml

%changelog
* Sat Sep 12 2020 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.16-1
- Update to 2.31.16

* Sun Jun 15 2020 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.14-1
- Update to 2.31.14

* Mon Dec 30 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.13-1
- Update to 2.31.13

* Fri Dec 6 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.12-1
- Update to 2.31.12

* Mon Nov 11 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.11-1
- Update to 2.31.11

* Thu Aug 22 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.10-1
- Update to 2.31.10

* Sat Feb 16 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.8-1
- Update to 2.31.8

* Wed Jan 16 2019 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.7-1
- Update to 2.31.7

* Sun Sep 30 2018 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.6-1
- Update to 2.31.6

* Tue Aug 13 2018 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.5-1
- Update to 2.31.5

* Mon Jun 18 2018 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.3-1
- Update to 2.31.3

* Sun Dec 17 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.1-1
- Update to 2.31.1

* Sun Nov 12 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.31.0-1
- Update to 2.31.0

* Sun Sep 10 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.2-1
- Update to 2.30.2

* Sun Aug 20 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.1-1
- Update to 2.30.1

* Tue Aug 1 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.30.0-1
- Update to 2.30.0

* Sat Jun 24 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.29.1-1
- Update to 2.29.1

* Sat Apr 1 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.28.3-1
- Update to 2.28.3

* Tue Mar 21 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.28.1-1
- Update to 2.28.1

* Sat Mar 4 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 2.27.8-1
- Update to 2.27.8

* Sun Dec 18 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.27.6-1
- Update to 2.27.6

* Sat Dec 3 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.27.4-1
- Update to 2.27.4

* Tue Sep 23 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.27.0-1
- Update to 2.27.0

* Tue Sep 6 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.26.1-1
- Update to 2.26.1

* Tue Aug 8 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.25.0-1
- Update to 2.25.0

* Wed Jul 27 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.24.0-1
- Update to 2.24.0

* Wed Mar 16 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.23.0-1
- Update to 2.23.0

* Tue Feb 24 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.22.7-1
- Update to 2.22.7

* Sun Feb 7 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.22.6-1
- Update to 2.22.6

* Mon Jan 18 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 2.22.5-1
- Update to 2.22.5

* Sat Dec 26 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.22.4-1
- Update to 2.22.4

* Wed Nov 25 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.22.2-1
- Update to 2.22.2

* Fri Oct 23 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.22.1-1
- Update to 2.22.1

* Mon Sep 7 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.21.0-1
- Update to 2.21.0

* Sat Aug 1 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.20.8-1
- Update to 2.20.8

* Mon Jun 15 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.20.5-1
- Update to 2.20.5

* Wed Jun 3 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.20.4-1
- Update to 2.20.4

* Sat May 2 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.20.0-1
- Update to 2.20.0

* Sat Mar 7 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.19.2-1
- Update to 2.19.2

* Tue Feb 10 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.19.0-1
- Update to 2.19.0

* Sat Jan 10 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 2.18.3-1
- Update to 2.18.3

* Thu Dec 18 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.17.2-1
- Update to 2.17.2

* Tue Nov 25 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.17.1-1
- Update to 2.17.1

* Thu Nov 06 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.16.1-1
- Update to 2.16.1

* Sat Oct 11 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.15.0-1
- Update to 2.15.0

* Sat Sep 20 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.14.1-1
- Update to 2.14.1

* Mon Sep 8 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.14.0-1
- Update to 2.14.0

* Wed Aug 27 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.13.1-1
- Update to 2.13.1

* Mon Aug 4 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.13.0-1
- Update to 2.13.0

* Sun Jul 13 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 2.12.6-1
- Update to 2.12.6

* Tue Nov 19 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.11.1-1
- Update to 2.11.1

* Mon Oct 28 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.10.2-1
- Update to 2.10.2

* Tue Sep 3 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.8.0-1
- Update to 2.8.0

* Fri Jul 26 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.6.4-1
- Update to 2.6.4

* Mon Jun 3 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 2.4.3-1
- Initial release for SME Server
- Original build from pear make-rpm-spec


