%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear
%global pear_name Console_Table

Summary: Class that makes it easy to build console style tables
Name: php-pear-Console-Table
Version: 1.3.0
Release: 1%{?dist}
License: BSD
Group: Development/Libraries
Source0: http://pear.php.net/get/Console_Table-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://pear.php.net/package/Console_Table

BuildRequires:  php-pear(PEAR) >= 1.4.7
Provides:       php-pear(%{pear_name}) = %{version}

#BuildRequires: PEAR::PEAR >= 1.4.7

BuildArch: noarch

%description
Provides methods such as addRow(), insertRow(), addCol() etc. to build
console tables with or without headers and with user defined table rules
and padding.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Console_Table.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Console_Table.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Console_Table >/dev/null || :
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/Console_Table.xml

%changelog
* Sun Jan 31 2016 John H. Bennett III <bennettj@johnbennettservices.com> - 1.3.0-1
- updated to 1.3.0

* Wed Oct 29 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 1.2.1-1
- updated to 1.2.1

* Fri Feb 21 2014 John H. Bennett III <bennettj@johnbennettservices.com> - 1.2.0-1
- updated to 1.2.0

* Mon May 6 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 1.1.6-1
- updated to 1.1.6

* Mon May 6 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 1.1.5-2
- updated spec file requires section, and left original info remarked.

* Sun May 5 2013 John H. Bennett III <bennettj@johnbennettservices.com> - 1.1.5-1
- Original from pear-make-rpm-spec.

