%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)
%define xmldir  /var/lib/pear
%global pear_name File_ASN1

Summary: Pure-PHP ASN1 parser
Name: php-phpseclib-File_ASN1
Version: 1.0.18
Release: 1
License: MIT License
Group: Development/Libraries
Source0: http://phpseclib.sourceforge.net/get/File_ASN1-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-%{version}-root-%(%{__id_u} -n)
URL: http://phpseclib.sourceforge.net/package/File_ASN1
BuildRequires:  php-pear(PEAR) >= 1.4.7
BuildRequires: php-channel(phpseclib.sourceforge.net)
Requires: php-channel(phpseclib.sourceforge.net)
BuildArch: noarch

%description
Pure-PHP ASN1 parser

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/File_ASN1.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/File_ASN1.xml >/dev/null || :

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only phpseclib.sourceforge.net/File_ASN1 >/dev/null || :
fi

%files
%defattr(-,root,root)

%{peardir}/*
%{xmldir}/File_ASN1.xml

%changelog
* Tue Feb 4 2020 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.18-1
- Updated to 1.0.18

* Fri Aug 4 2017 John H. Bennett III <bennettj@johnbennettservices.com> - 1.0.7-1
- Updated to 1.0.7

* Wed Jan 14 2015 John H. Bennett III <bennettj@johnbennettservices.com> - 0.3.9-1
- Original from pear-make-rpm-spec.
